Index: i18n/ru.ts
===================================================================
--- i18n/ru.ts	(revision b5c9bcb585676ba581afb851fefa70eca0341262)
+++ i18n/ru.ts	(revision 430bd7f7e921daaebe01fd919c3125800872eceb)
@@ -330,309 +417,300 @@
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="297"/>
-        <location filename="../ui/mainwindow.ui" line="278"/>
-        <source>&amp;Language</source>
-        <extracomment>Please, append &quot; / Language&quot; when translating this string.
-----------
-Please, append &quot; / Language&quot; when translating this string.</extracomment>
-        <translation>Язык / &amp;Language</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="313"/>
-        <location filename="../ui/mainwindow.ui" line="294"/>
+        <location filename="../ui/mainwindow.ce.ui" line="293"/>
+        <location filename="../ui/mainwindow.ui" line="281"/>
         <source>&amp;Help</source>
         <translation>&amp;Помощь</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="351"/>
-        <location filename="../ui/mainwindow.ui" line="364"/>
+        <location filename="../ui/mainwindow.ce.ui" line="331"/>
+        <location filename="../ui/mainwindow.ui" line="354"/>
         <source>Save solution steps</source>
         <translation>Сохранить ход решения</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="354"/>
-        <location filename="../ui/mainwindow.ui" line="367"/>
+        <location filename="../ui/mainwindow.ce.ui" line="334"/>
+        <location filename="../ui/mainwindow.ui" line="357"/>
         <source>Save solution steps only</source>
         <translation>Сохранить только ход решения</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="365"/>
-        <location filename="../ui/mainwindow.ui" line="378"/>
+        <location filename="../ui/mainwindow.ce.ui" line="345"/>
+        <location filename="../ui/mainwindow.ui" line="368"/>
         <source>Save solution graph</source>
         <translation>Сохранить граф решения</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="368"/>
-        <location filename="../ui/mainwindow.ui" line="381"/>
+        <location filename="../ui/mainwindow.ce.ui" line="348"/>
+        <location filename="../ui/mainwindow.ui" line="371"/>
         <source>Save solution graph only</source>
         <translation>Сохранить только граф решения</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="376"/>
-        <location filename="../ui/mainwindow.ui" line="389"/>
-        <source>&amp;Solution</source>
-        <translation>&amp;Решение</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="379"/>
-        <location filename="../ui/mainwindow.ui" line="392"/>
+        <location filename="../ui/mainwindow.ce.ui" line="362"/>
+        <location filename="../ui/mainwindow.ui" line="382"/>
         <source>Save solution</source>
         <translation>Сохранить решение</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="382"/>
-        <location filename="../ui/mainwindow.ui" line="395"/>
+        <location filename="../ui/mainwindow.ce.ui" line="365"/>
+        <location filename="../ui/mainwindow.ui" line="385"/>
         <source>Save solution steps and graph</source>
         <translation>Сохранить ход и граф решения</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="391"/>
-        <location filename="../ui/mainwindow.ui" line="404"/>
+        <location filename="../ui/mainwindow.ce.ui" line="374"/>
+        <location filename="../ui/mainwindow.ui" line="394"/>
         <source>&amp;New</source>
         <translation>&amp;Создать</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="394"/>
-        <location filename="../ui/mainwindow.ui" line="407"/>
+        <location filename="../ui/mainwindow.ce.ui" line="377"/>
+        <location filename="../ui/mainwindow.ui" line="397"/>
         <source>New</source>
         <translation>Создать</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="397"/>
-        <location filename="../ui/mainwindow.ui" line="410"/>
+        <location filename="../ui/mainwindow.ce.ui" line="380"/>
+        <location filename="../ui/mainwindow.ui" line="400"/>
         <source>New task</source>
         <translation>Создать задачу</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="400"/>
-        <location filename="../ui/mainwindow.ui" line="413"/>
+        <location filename="../ui/mainwindow.ce.ui" line="383"/>
+        <location filename="../ui/mainwindow.ui" line="403"/>
         <source>Create new task</source>
         <translation>Создать новую задачу</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="403"/>
-        <location filename="../ui/mainwindow.ui" line="416"/>
+        <location filename="../ui/mainwindow.ce.ui" line="386"/>
+        <location filename="../ui/mainwindow.ui" line="406"/>
         <source>Ctrl+N</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="412"/>
-        <location filename="../ui/mainwindow.ui" line="425"/>
+        <location filename="../ui/mainwindow.ce.ui" line="395"/>
+        <location filename="../ui/mainwindow.ui" line="415"/>
         <source>&amp;Open...</source>
         <translation>&amp;Открыть...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="415"/>
-        <location filename="../ui/mainwindow.ui" line="428"/>
+        <location filename="../ui/mainwindow.ce.ui" line="398"/>
+        <location filename="../ui/mainwindow.ui" line="418"/>
         <source>Open...</source>
         <translation>Открыть...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="418"/>
-        <location filename="../ui/mainwindow.ui" line="431"/>
+        <location filename="../ui/mainwindow.ce.ui" line="401"/>
+        <location filename="../ui/mainwindow.ui" line="421"/>
         <source>Open task</source>
-        <translation>Открыть задачу</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="421"/>
-        <location filename="../ui/mainwindow.ui" line="434"/>
+        <translation>Открыть условие</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="404"/>
+        <location filename="../ui/mainwindow.ui" line="424"/>
         <source>Open saved task</source>
         <translation>Открыть сохраненное условие задачи</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="424"/>
-        <location filename="../ui/mainwindow.ui" line="437"/>
+        <location filename="../ui/mainwindow.ce.ui" line="407"/>
+        <location filename="../ui/mainwindow.ui" line="427"/>
         <source>Ctrl+O</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="433"/>
-        <location filename="../ui/mainwindow.ui" line="446"/>
+        <location filename="../ui/mainwindow.ce.ui" line="416"/>
+        <location filename="../ui/mainwindow.ui" line="436"/>
         <source>&amp;Preferences...</source>
         <translation>&amp;Параметры...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="436"/>
-        <location filename="../ui/mainwindow.ui" line="449"/>
+        <location filename="../ui/mainwindow.ce.ui" line="419"/>
+        <location filename="../ui/mainwindow.ui" line="439"/>
         <source>Preferences...</source>
         <translation>Параметры...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="439"/>
-        <location filename="../ui/mainwindow.ui" line="452"/>
+        <location filename="../ui/mainwindow.ce.ui" line="422"/>
+        <location filename="../ui/mainwindow.ui" line="442"/>
         <source>Application preferences</source>
         <translation>Настройка параметров программмы</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="451"/>
-        <location filename="../ui/mainwindow.ui" line="464"/>
+        <location filename="../ui/mainwindow.ce.ui" line="434"/>
+        <location filename="../ui/mainwindow.ui" line="454"/>
         <source>&amp;Contents</source>
         <translation>&amp;Содежание</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="454"/>
-        <location filename="../ui/mainwindow.ui" line="467"/>
+        <location filename="../ui/mainwindow.ce.ui" line="437"/>
+        <location filename="../ui/mainwindow.ui" line="457"/>
         <source>Open help contents</source>
         <translation>Вызвать справку программы</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="469"/>
-        <location filename="../ui/mainwindow.ui" line="482"/>
+        <location filename="../ui/mainwindow.ce.ui" line="452"/>
+        <location filename="../ui/mainwindow.ui" line="472"/>
         <source>Open context help</source>
         <translation>Вызвать контекстную справку</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="478"/>
-        <location filename="../ui/mainwindow.ui" line="491"/>
+        <location filename="../ui/mainwindow.ce.ui" line="461"/>
+        <location filename="../ui/mainwindow.ui" line="481"/>
         <source>&amp;About...</source>
         <translation>&amp;Про...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="481"/>
-        <location filename="../ui/mainwindow.ui" line="494"/>
+        <location filename="../ui/mainwindow.ce.ui" line="464"/>
+        <location filename="../ui/mainwindow.ui" line="484"/>
         <source>About...</source>
         <translation>Про...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="484"/>
-        <location filename="../ui/mainwindow.ui" line="497"/>
+        <location filename="../ui/mainwindow.ce.ui" line="467"/>
+        <location filename="../ui/mainwindow.ui" line="487"/>
         <source>About application</source>
         <translation>О программе</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="493"/>
-        <location filename="../ui/mainwindow.ui" line="506"/>
+        <location filename="../ui/mainwindow.ce.ui" line="476"/>
+        <location filename="../ui/mainwindow.ui" line="496"/>
         <source>E&amp;xit</source>
         <translation>В&amp;ыход</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="496"/>
-        <location filename="../ui/mainwindow.ui" line="509"/>
+        <location filename="../ui/mainwindow.ce.ui" line="479"/>
+        <location filename="../ui/mainwindow.ui" line="499"/>
         <source>Exit application</source>
         <translation>Выйти из приложения</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="505"/>
-        <location filename="../ui/mainwindow.ui" line="518"/>
+        <location filename="../ui/mainwindow.ce.ui" line="488"/>
+        <location filename="../ui/mainwindow.ui" line="504"/>
         <source>&amp;Task...</source>
-        <translation>&amp;Задачу...</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="508"/>
-        <location filename="../ui/mainwindow.ui" line="521"/>
+        <translation>&amp;Условие...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="491"/>
+        <location filename="../ui/mainwindow.ui" line="507"/>
         <source>Task...</source>
-        <translation>Задачу...</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="511"/>
-        <location filename="../ui/mainwindow.ce.ui" line="560"/>
-        <location filename="../ui/mainwindow.ui" line="524"/>
-        <location filename="../ui/mainwindow.ui" line="576"/>
+        <translation>Условие...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="494"/>
+        <location filename="../ui/mainwindow.ce.ui" line="543"/>
+        <location filename="../ui/mainwindow.ui" line="510"/>
+        <location filename="../ui/mainwindow.ui" line="562"/>
         <source>Save task</source>
-        <translation>Сохранить задачу</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="514"/>
-        <location filename="../ui/mainwindow.ui" line="527"/>
+        <translation>Сохранить условие</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="497"/>
+        <location filename="../ui/mainwindow.ui" line="513"/>
         <source>Save task to file</source>
         <translation>Сохранить условие задачи в файл</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="517"/>
-        <location filename="../ui/mainwindow.ui" line="530"/>
+        <location filename="../ui/mainwindow.ce.ui" line="500"/>
+        <location filename="../ui/mainwindow.ui" line="516"/>
         <source>Ctrl+S</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="528"/>
-        <location filename="../ui/mainwindow.ui" line="541"/>
+        <location filename="../ui/mainwindow.ce.ui" line="511"/>
+        <location filename="../ui/mainwindow.ui" line="527"/>
         <source>&amp;Autodetect</source>
         <translation>&amp;Автоопределение</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="545"/>
+        <location filename="../ui/mainwindow.ce.ui" line="528"/>
         <source>English</source>
         <translation>Английский</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="563"/>
-        <location filename="../ui/mainwindow.ui" line="579"/>
+        <location filename="../ui/mainwindow.ce.ui" line="546"/>
+        <location filename="../ui/mainwindow.ui" line="565"/>
         <source>Save current task</source>
-        <translation>Сохранить текущую задачу</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="572"/>
-        <location filename="../ui/mainwindow.ui" line="588"/>
+        <translation>Сохранить текущее условие</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="555"/>
+        <location filename="../ui/mainwindow.ui" line="574"/>
         <source>About &amp;Qt...</source>
         <translation>Про &amp;Qt...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="575"/>
-        <location filename="../ui/mainwindow.ui" line="591"/>
+        <location filename="../ui/mainwindow.ce.ui" line="558"/>
+        <location filename="../ui/mainwindow.ui" line="577"/>
         <source>About Qt...</source>
         <translation>Про Qt...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="578"/>
+        <location filename="../ui/mainwindow.ce.ui" line="561"/>
         <source>About Qt</source>
         <translation>Про Qt</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="581"/>
-        <location filename="../ui/mainwindow.ui" line="594"/>
+        <location filename="../ui/mainwindow.ce.ui" line="564"/>
+        <location filename="../ui/mainwindow.ui" line="580"/>
         <source>About Qt library</source>
         <translation>Про библиотеку Qt</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="291"/>
-        <location filename="../ui/mainwindow.ui" line="272"/>
+        <location filename="../ui/mainwindow.ce.ui" line="271"/>
+        <location filename="../ui/mainwindow.ui" line="259"/>
         <source>Select language</source>
         <translation>Выбор языка</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="294"/>
-        <location filename="../ui/mainwindow.ui" line="275"/>
+        <location filename="../ui/mainwindow.ce.ui" line="274"/>
+        <location filename="../ui/mainwindow.ui" line="262"/>
         <source>Select application language</source>
         <translation>Выбрать язык приложения</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="332"/>
+        <location filename="../ui/mainwindow.ui" line="322"/>
         <source>P&amp;rint Setup...</source>
         <translation>&amp;Настройка печати...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="335"/>
+        <location filename="../ui/mainwindow.ui" line="325"/>
         <source>Setup printing</source>
         <translation>Настроить печать</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="347"/>
+        <location filename="../ui/mainwindow.ui" line="337"/>
         <source>&amp;Print...</source>
         <translation>&amp;Печать...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="350"/>
+        <location filename="../ui/mainwindow.ui" line="340"/>
         <source>Print solution results</source>
         <translation>Распечатать результаты решения</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="353"/>
+        <location filename="../ui/mainwindow.ui" line="343"/>
         <source>Ctrl+P</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ui" line="573"/>
+        <location filename="../ui/mainwindow.ce.ui" line="356"/>
+        <location filename="../ui/mainwindow.ui" line="379"/>
+        <source>&amp;Solution...</source>
+        <translation>&amp;Решение...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="559"/>
         <source>Save</source>
         <translation>Сохранить</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="531"/>
-        <location filename="../ui/mainwindow.ui" line="544"/>
+        <location filename="../ui/mainwindow.ce.ui" line="514"/>
+        <location filename="../ui/mainwindow.ui" line="530"/>
         <source>Detect language automatically</source>
         <translation>Определять язык автоматически</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="534"/>
-        <location filename="../ui/mainwindow.ui" line="547"/>
+        <location filename="../ui/mainwindow.ce.ui" line="517"/>
+        <location filename="../ui/mainwindow.ui" line="533"/>
         <source>Detect language automatically based on regional settings</source>
         <translation>Определять язык автоматически, основываясь на региональных настройках</translation>
@@ -678,62 +756,68 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="202"/>
-        <location filename="../ui/settingsdialog.ui" line="288"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="184"/>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <source>Output settings:</source>
+        <translation>Параметры вывода:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="210"/>
+        <location filename="../ui/settingsdialog.ui" line="261"/>
         <source>Font color for printing</source>
         <translation>Цвет шрифта, используемого при печати</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
-        <location filename="../ui/settingsdialog.ui" line="291"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="213"/>
+        <location filename="../ui/settingsdialog.ui" line="264"/>
         <source>&amp;Color...</source>
         <translation>&amp;Цвет...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="219"/>
-        <location filename="../ui/settingsdialog.ui" line="305"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="193"/>
+        <location filename="../ui/settingsdialog.ui" line="244"/>
         <source>Font face for printing</source>
         <translation>Вид шрифта, используемого при печати</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="222"/>
-        <location filename="../ui/settingsdialog.ui" line="308"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="196"/>
+        <location filename="../ui/settingsdialog.ui" line="247"/>
         <source>&amp;Font...</source>
         <translation>&amp;Шрифт...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="287"/>
-        <location filename="../ui/settingsdialog.ce.ui" line="293"/>
-        <location filename="../ui/settingsdialog.ui" line="377"/>
-        <location filename="../ui/settingsdialog.ui" line="383"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="279"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="285"/>
+        <location filename="../ui/settingsdialog.ui" line="331"/>
+        <location filename="../ui/settingsdialog.ui" line="337"/>
         <source>Help</source>
         <translation>Помощь</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="290"/>
-        <location filename="../ui/settingsdialog.ui" line="380"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="282"/>
+        <location filename="../ui/settingsdialog.ui" line="334"/>
         <source>Get preferences help</source>
         <translation>Получить помощь по настройкам</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="323"/>
-        <location filename="../ui/settingsdialog.ui" line="425"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="315"/>
+        <location filename="../ui/settingsdialog.ui" line="391"/>
         <source>Save new preferences</source>
         <translation>Сохранить новые параметры</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="326"/>
-        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="318"/>
+        <location filename="../ui/settingsdialog.ui" line="394"/>
         <source>&amp;OK</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="343"/>
-        <location filename="../ui/settingsdialog.ui" line="445"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="335"/>
+        <location filename="../ui/settingsdialog.ui" line="411"/>
         <source>Close without saving preferences</source>
         <translation>Закрыть окно без сохранения параметров</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="346"/>
-        <location filename="../ui/settingsdialog.ui" line="448"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="338"/>
+        <location filename="../ui/settingsdialog.ui" line="414"/>
         <source>&amp;Cancel</source>
         <translation>&amp;Отмена</translation>
@@ -745,30 +829,15 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
-        <source>Print settings:</source>
-        <translation>Настройки печати:</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="249"/>
-        <source>&amp;Left margin:</source>
-        <translation>&amp;Левый отступ:</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="262"/>
-        <source>Left border margin for page</source>
-        <translation>Левый отступ от края страницы во время печати</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="329"/>
+        <location filename="../ui/settingsdialog.ui" line="283"/>
         <source>Restore main window state and position on application restart</source>
         <translation>Восстанавливать состояние и размеры главного окна после перезапуска приложения</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="332"/>
+        <location filename="../ui/settingsdialog.ui" line="286"/>
         <source>Save main window state and position</source>
         <translation>Сохранять состояние и положение главного окна</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="403"/>
+        <location filename="../ui/settingsdialog.ui" line="369"/>
         <source>Hover mouse pointer over dialog elements to get additional help</source>
         <translation>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</translation>
